petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscGaussLobattoLegendreElementLaplacianDestroy

frees the Laplacian for a single 1d GLL element

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementLaplacianDestroy(PetscInt n,PetscReal *nodes,PetscReal *weights,PetscReal ***AA)

Not Collective

### Input Parameter

| n | - the number of GLL nodes
| nodes | - the GLL nodes
| weights | - the GLL weightss
| A | - the stiffness element

### See Also

PetscDTGaussLobattoLegendreQuadrature(), PetscGaussLobattoLegendreElementLaplacianCreate()

### Level

beginner

### Location

src/dm/dt/interface/dt.c

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages